import java.util.*;
import java.io.*;

public class Themes{
public Vector t = new Vector();

public Themes(){
InputStream is = getClass().getResourceAsStream("/themes.txt");
t = getThemes(is);
}

public String getTheme(int num){
return (String) t.elementAt(num);
}

public Vector getThemes(InputStream is){
DataInputStream dis = new DataInputStream(is);
StringBuffer sb = new StringBuffer();
Vector ret = new Vector();
try{
	int ch=0;
	while((ch = dis.read())!=-1) {
		if(ch!=13 && ch!=10){
			sb.append((char) ((ch >= 0xc0 && ch <= 0xFF) ? (ch + 0x350) : ch));
		} else {
			ch = dis.read();
			ret.addElement(sb.toString() + ".mwt");
			sb = new StringBuffer();
		}
	}
	ret.addElement(sb.toString() + ".mwt");
} catch (Exception e){}
return ret;
}

}